For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
      • GETGet the list of email templates
      • DELDelete an inactive email template
      • POSTSend a template to your test list
      • POSTGenerate the rendered preview of transactional template
      • PUTUpdate an email template
      • GETReturns the template information
      • POSTCreate an email template
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Email APIEmail templates

Get the list of email templates

GET
https://api.brevo.com/v3/smtp/templates
GET
/v3/smtp/templates
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.transactionalEmails.getSmtpTemplates({});
8}
9main();
1{
2 "count": 2,
3 "templates": [
4 {
5 "createdAt": "2016-02-24T14:44:24Z",
6 "htmlContent": "HTML CONTENT 1",
7 "id": 5,
8 "isActive": false,
9 "modifiedAt": "2016-02-24T15:37:11Z",
10 "name": "ChristomasTimeTemplate",
11 "replyTo": "replyto@domain.com",
12 "sender": {
13 "email": "john.smith@example.com",
14 "id": "23",
15 "name": "John"
16 },
17 "subject": "Merry Christmas",
18 "tag": "Festival",
19 "testSent": false,
20 "toField": ""
21 },
22 {
23 "createdAt": "2016-02-25T11:53:26Z",
24 "htmlContent": "HTML CONTENT 2",
25 "id": 12,
26 "isActive": true,
27 "modifiedAt": "2016-02-25T11:53:26Z",
28 "name": "SummerSales2017Template",
29 "replyTo": "replyto@domain.com",
30 "sender": {
31 "email": "john.smith@example.com",
32 "id": "23",
33 "name": "John"
34 },
35 "subject": "Enjoy our summer Sales !",
36 "tag": "Summer",
37 "testSent": false,
38 "toField": ""
39 }
40 ]
41}
Retrieve a paginated list of all transactional email templates (including automation templates) with their details such as name, subject, sender, status, HTML content, and timestamps. Results default to 50 per page (max 1000) and are sorted in descending creation order unless overridden. You can filter by active/inactive status using `templateStatus` and by editor type using `editorType` (currently only `richTextEditor` is supported).
Was this page helpful?
Previous

Delete an inactive email template

Next
Built with

Retrieve a paginated list of all transactional email templates (including automation templates) with their details such as name, subject, sender, status, HTML content, and timestamps. Results default to 50 per page (max 1000) and are sorted in descending creation order unless overridden. You can filter by active/inactive status using templateStatus and by editor type using editorType (currently only richTextEditor is supported).

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Query parameters

templateStatusbooleanOptional

Filter on the status of the template. Active = true, inactive = false

limitlongOptional0-1000Defaults to 50
Number of documents returned per page
offsetlongOptionalDefaults to 0
Index of the first document in the page
sortenumOptionalDefaults to desc

Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed

Allowed values:
editorTypeenumOptional

Filter on the editor type used to create the template. Currently only richTextEditor is supported as a filter value.

Allowed values:

Response

transactional email templates informations
countlong
Count of transactional email templates
templateslist of objects

Errors

400
Bad Request Error